### Method

# Gio MemoryInputStream add_data

#### Declaration

    void
    g_memory_input_stream_add_data (
      GMemoryInputStream* stream,
      void* data,
      gssize len,
      GDestroyNotify destroy
    )

#### Description

Appends `data` to data that can be read from the input stream.

#### Parameters

`data`

  Type: An array of `guint8`

  Input data.

  The length of the array is specified in the `len` argument.
  The instance takes ownership of the data, and is responsible for freeing it.

`len`

  Type: `gssize`

  Length of the data, may be -1 if `data` is a nul-terminated string.

`destroy`

  Type: `GDestroyNotify`

  Function that is called to free `data`, or `NULL`.

  The argument can be `NULL`.